/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";
option java_multiple_files = true;

import "frameworks/base/core/proto/android/privacy.proto";

package android.app;

/**
 * An android.app.ProfilerInfo object.
 */
message ProfilerInfoProto {
    option (.android.msg_privacy).dest = DEST_AUTOMATIC;

    // Name of profile output file.
    optional string profile_file = 1;
    optional int32 profile_fd = 2;
    optional int32 sampling_interval = 3;
    optional bool auto_stop_profiler = 4;
    optional bool streaming_output = 5;
    // Denotes an agent (and its parameters) to attach for profiling.
    optional string agent = 6;
}
